// <auto-generated>
//  automatically generated by the FlatBuffers compiler, do not modify
// </auto-generated>

namespace Veneris.Communications
{

using global::System;
using global::System.Collections.Generic;
using global::FlatBuffers;

public struct ExternalTime : IFlatbufferObject
{
  private Table __p;
  public ByteBuffer ByteBuffer { get { return __p.bb; } }
  public static void ValidateVersion() { FlatBufferConstants.FLATBUFFERS_2_0_0(); }
  public static ExternalTime GetRootAsExternalTime(ByteBuffer _bb) { return GetRootAsExternalTime(_bb, new ExternalTime()); }
  public static ExternalTime GetRootAsExternalTime(ByteBuffer _bb, ExternalTime obj) { return (obj.__assign(_bb.GetInt(_bb.Position) + _bb.Position, _bb)); }
  public void __init(int _i, ByteBuffer _bb) { __p = new Table(_i, _bb); }
  public ExternalTime __assign(int _i, ByteBuffer _bb) { __init(_i, _bb); return this; }

  public float Time { get { int o = __p.__offset(4); return o != 0 ? __p.bb.GetFloat(o + __p.bb_pos) : (float)0.0f; } }

  public static Offset<Veneris.Communications.ExternalTime> CreateExternalTime(FlatBufferBuilder builder,
      float time = 0.0f) {
    builder.StartTable(1);
    ExternalTime.AddTime(builder, time);
    return ExternalTime.EndExternalTime(builder);
  }

  public static void StartExternalTime(FlatBufferBuilder builder) { builder.StartTable(1); }
  public static void AddTime(FlatBufferBuilder builder, float time) { builder.AddFloat(0, time, 0.0f); }
  public static Offset<Veneris.Communications.ExternalTime> EndExternalTime(FlatBufferBuilder builder) {
    int o = builder.EndTable();
    return new Offset<Veneris.Communications.ExternalTime>(o);
  }
  public static void FinishExternalTimeBuffer(FlatBufferBuilder builder, Offset<Veneris.Communications.ExternalTime> offset) { builder.Finish(offset.Value); }
  public static void FinishSizePrefixedExternalTimeBuffer(FlatBufferBuilder builder, Offset<Veneris.Communications.ExternalTime> offset) { builder.FinishSizePrefixed(offset.Value); }
};


}
